LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   httpd.SlackBuild and /usr/lib/libdb-4.4.la error (http://www.linuxquestions.org/questions/slackware-14/httpd-slackbuild-and-usr-lib-libdb-4-4-la-error-4175504084/)

czezz 05-06-2014 11:40 AM

httpd.SlackBuild and /usr/lib/libdb-4.4.la error
 
I am trying to do httpd package using httpd.SlackBuild http://mirrors.slackware.com/slackwa.../source/httpd/ and Apache 2.2.27.
This is to be for Slackware 12.
My problem is that httpd.SlackBuild ends up with following error referring to libtool and libdb-4.4

Code:

libtool: link: cannot find the library `/usr/lib/libdb-4.4.la'
make[2]: *** [htpasswd] Error 1
make[2]: *** Waiting for unfinished jobs....
libtool: link: cannot find the library `/usr/lib/libdb-4.4.la'
make[2]: *** [htdigest] Error 1
libtool: link: cannot find the library `/usr/lib/libdb-4.4.la'
make[2]: *** [rotatelogs] Error 1
make[2]: Leaving directory `/tmp/httpd-2.2.27/support'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/httpd-2.2.27/support'
make: *** [all-recursive] Error 1

However, libdb-4.4.so is already installed in my system.

Code:

# grep libdb-4 /var/log/packages/*
/var/log/packages/aaa_elflibs-12.0.0-i486-3:lib/libdb-4.2.so
/var/log/packages/aaa_elflibs-12.0.0-i486-3:lib/libdb-4.4.so

Can anyone advice what to do ?

phenixia2003 05-06-2014 11:57 AM

Hello,

I guess you need the package db44 which contains libdb-4.4.la

--
SeB

czezz 05-06-2014 12:39 PM

yup, you are right :)


All times are GMT -5. The time now is 10:00 PM.